syntax = "proto3";
package SumServiceGRPC;

message SimpleSumRequest {
    int32 a = 1;
    int32 b = 2;
}

message RepeatedSumRequest {
    int32 n = 1;
    int32 t = 2;
}

message SumServiceResponse {
    int32 res = 1;
}

service SumService {
    rpc simpleSum(SimpleSumRequest) returns (SumServiceResponse);
    rpc repeatedSum(RepeatedSumRequest) returns (stream SumServiceResponse);
    rpc streamSum(stream SimpleSumRequest) returns (stream SumServiceResponse);
}
